The Loyalty Point Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

loyalty_program string required
loyalty_program_tier string
customer string required
redeem_against string
loyalty_points integer required
purchase_amount number
expiry_date string required
posting_date string required
company string required
invoice_type string required
invoice string
discretionary_reason string
The Loyalty Point Entry object
{
  "id": "loyalty-point-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "loyalty_program": "loyalty_program_example",
  "loyalty_program_tier": "loyalty_program_tier_example",
  "customer": "customer_example",
  "redeem_against": "redeem_against_example",
  "loyalty_points": 0,
  "purchase_amount": 0,
  "expiry_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "invoice_type": "invoice_type_example",
  "invoice": "invoice_example",
  "discretionary_reason": "discretionary_reason_example"
}
GET /api/accounts/loyalty-point-entry/{id}

Retrieve a loyalty point entry

Retrieves the details of an existing loyalty point entry. Supply the unique loyalty point entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the loyalty point entry to retrieve.

Returns

Returns the loyalty point entry object if a valid identifier was provided.

GET /api/accounts/loyalty-point-entry/{id}
curl https://api.overplane.dev/api/accounts/loyalty-point-entry/loyalty-point-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "loyalty-point-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "loyalty_program": "loyalty_program_example",
  "loyalty_program_tier": "loyalty_program_tier_example",
  "customer": "customer_example",
  "redeem_against": "redeem_against_example",
  "loyalty_points": 0,
  "purchase_amount": 0,
  "expiry_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "invoice_type": "invoice_type_example",
  "invoice": "invoice_example",
  "discretionary_reason": "discretionary_reason_example"
}
GET /api/accounts/loyalty-point-entry

List all loyalty point entrys

Returns a list of loyalty point entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of loyalty point entry objects.

GET /api/accounts/loyalty-point-entry
curl https://api.overplane.dev/api/accounts/loyalty-point-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "loyalty-point-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "loyalty_program": "loyalty_program_example",
      "loyalty_program_tier": "loyalty_program_tier_example",
      "customer": "customer_example",
      "redeem_against": "redeem_against_example",
      "loyalty_points": 0,
      "purchase_amount": 0,
      "expiry_date": "2024-01-15",
      "posting_date": "2024-01-15",
      "company": "Example Corp",
      "invoice_type": "invoice_type_example",
      "invoice": "invoice_example",
      "discretionary_reason": "discretionary_reason_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/loyalty-point-entry

Create a loyalty point entry

Creates a new loyalty point entry object.

Body parameters

loyalty_program string required
loyalty_program_tier string
customer string required
redeem_against string
loyalty_points integer required
purchase_amount number
expiry_date string required
posting_date string required
company string required
invoice_type string required
invoice string
discretionary_reason string

Returns

Returns the newly created loyalty point entry object if the call succeeded.

POST /api/accounts/loyalty-point-entry
curl https://api.overplane.dev/api/accounts/loyalty-point-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"loyalty_program":"loyalty_program_example","customer":"customer_example","loyalty_points":0,"expiry_date":"2024-01-15","posting_date":"2024-01-15","company":"Example Corp","invoice_type":"invoice_type_example"}'
Response
{
  "id": "loyalty-point-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "loyalty_program": "loyalty_program_example",
  "loyalty_program_tier": "loyalty_program_tier_example",
  "customer": "customer_example",
  "redeem_against": "redeem_against_example",
  "loyalty_points": 0,
  "purchase_amount": 0,
  "expiry_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "invoice_type": "invoice_type_example",
  "invoice": "invoice_example",
  "discretionary_reason": "discretionary_reason_example"
}
PATCH /api/accounts/loyalty-point-entry/{id}

Update a loyalty point entry

Updates the specified loyalty point entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the loyalty point entry to update.

Body parameters

loyalty_program string
loyalty_program_tier string
customer string
redeem_against string
loyalty_points integer
purchase_amount number
expiry_date string
posting_date string
company string
invoice_type string
invoice string
discretionary_reason string

Returns

Returns the updated loyalty point entry object.

PATCH /api/accounts/loyalty-point-entry/{id}
curl https://api.overplane.dev/api/accounts/loyalty-point-entry/loyalty-point-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"loyalty_program":"loyalty_program_example","loyalty_program_tier":"loyalty_program_tier_example"}'
Response
{
  "id": "loyalty-point-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "loyalty_program": "loyalty_program_example",
  "loyalty_program_tier": "loyalty_program_tier_example",
  "customer": "customer_example",
  "redeem_against": "redeem_against_example",
  "loyalty_points": 0,
  "purchase_amount": 0,
  "expiry_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "invoice_type": "invoice_type_example",
  "invoice": "invoice_example",
  "discretionary_reason": "discretionary_reason_example"
}
DELETE /api/accounts/loyalty-point-entry/{id}

Delete a loyalty point entry

Permanently deletes a loyalty point entry. This cannot be undone.

Path parameters

id string required

The identifier of the loyalty point entry to delete.

Returns

Returns a confirmation that the loyalty point entry has been deleted.

DELETE /api/accounts/loyalty-point-entry/{id}
curl https://api.overplane.dev/api/accounts/loyalty-point-entry/loyalty-point-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "loyalty-point-entry_abc123",
  "deleted": true
}